RTC prescaler overflow on nRF(52)
I just realized that I had some settings in the `prj.conf` file which caused the zephyr crashes. changing `u8_t prescaler` to `u16_t prescaler` actually fixed the problem.